﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.Map;

namespace FileSystemMapProvider
{
	/// <summary>
	/// Map provider which read map tiles from the file system.
	/// </summary>
	public class FileSystemProvider : TiledProvider
	{
		private MercatorProjection projection = new MercatorProjection();

		/// <summary>
		/// Initializes a new instance of the MyMapProvider class.
		/// </summary>
		/// <param name="tilePathFormat">Format string to access tiles in file system.</param>
		public FileSystemProvider(string tilePathFormat)
			: base()
		{
			FileSystemTileSource source = new FileSystemTileSource(tilePathFormat);
			this.MapSources.Add(source.UniqueId, source);
		}

		/// <summary>
		/// Returns the SpatialReference for the map provider.
		/// </summary>
		public override ISpatialReference SpatialReference
		{
			get
			{
				return this.projection;
			}
		}
	}
}
